tigase.db.converter.converters

## Class UserEntity

- java.lang.Object
- - tigase.db.converter.converters.UserEntity

- All Implemented Interfaces:
    RowEntity

      public class UserEntity
      extends Object
      implements RowEntity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserEntity(BareJID jid, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addRosterItem(tigase.db.converter.converters.UserRosterItem item)`
    `boolean` | `addRosterItems(List<tigase.db.converter.converters.UserRosterItem> items)`
    `boolean` | `equals(Object o)`
    `String` | `getID()`
    `BareJID` | `getJid()`
    `String` | `getPassword()`
    `List<tigase.db.converter.converters.UserRosterItem>` | `getRosterItems()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserEntity

          public UserEntity(BareJID jid,
                            String password)

  - ### Method Detail

    - #### getJid

          public BareJID getJid()

    - #### getPassword

          public String getPassword()

    - #### getID

          public String getID()

      Specified by:
        `getID` in interface `RowEntity`

    - #### addRosterItem

          public boolean addRosterItem(tigase.db.converter.converters.UserRosterItem item)

    - #### getRosterItems

          public List<tigase.db.converter.converters.UserRosterItem> getRosterItems()

    - #### addRosterItems

          public boolean addRosterItems(List<tigase.db.converter.converters.UserRosterItem> items)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.